Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 09-07-2017 21:12:12

Philou92
Adhérent(e)
Lieu : Hauts de Seine
Distrib. : Debian Jessie 8.9
Noyau : Linux 3.16.0-4-amd64
(G)UI : Gnome 3.14
Inscription : 29-04-2015

Liste Paquets supprimés lors de la migration jessie vers strech

Hello

Est-ce que vous connaissez un lien qui donne la liste des paquets supprimés lors de la migration jessie vers stretch ?

Hors ligne

#2 09-07-2017 23:10:49

lagrenouille
Adhérent(e)
Lieu : dans mes rêves
Distrib. : jessie/stretch/buster
Noyau : linux-4.9.0-2-amd64
(G)UI : env- i3-weechat-w3m-clavier bépo
Inscription : 28-03-2012
Site Web

Re : Liste Paquets supprimés lors de la migration jessie vers strech


L'opinion que l'on suppose d'un être n'est souvent que le miroir de notre propre ignorance à la limiter

Hors ligne

#3 09-07-2017 23:38:48

Philou92
Adhérent(e)
Lieu : Hauts de Seine
Distrib. : Debian Jessie 8.9
Noyau : Linux 3.16.0-4-amd64
(G)UI : Gnome 3.14
Inscription : 29-04-2015

Re : Liste Paquets supprimés lors de la migration jessie vers strech

Merci pour la réponse.

J'avais déjà fouiné de ce coté. Mais c'est une impasse. Le chapître 4.8 renvoi sur le 5.1.3 qui renvoi sur le 4.8 qui renvoi sur... tongue

D'habitude dans le mailing d'annonce de publication, l'auteur donne à la fin la liste des paquets obsolètes. La nada. Pourquoi cette cachotterie ?

Hors ligne

#4 11-07-2017 00:51:19

lagrenouille
Adhérent(e)
Lieu : dans mes rêves
Distrib. : jessie/stretch/buster
Noyau : linux-4.9.0-2-amd64
(G)UI : env- i3-weechat-w3m-clavier bépo
Inscription : 28-03-2012
Site Web

Re : Liste Paquets supprimés lors de la migration jessie vers strech

c'est vrai que ça tourne en rond sérieusement ...

ceci dit, que te raconte les commandes suivantes


unmet permet d’afficher  un résumé concernant les dépendances absentes dans la cache de paquets.

apt-cache unmet




pour avoir des statistiques concernant le cache, moins important surement

apt-cache stats


L'opinion que l'on suppose d'un être n'est souvent que le miroir de notre propre ignorance à la limiter

Hors ligne

#5 11-07-2017 20:53:31

Philou92
Adhérent(e)
Lieu : Hauts de Seine
Distrib. : Debian Jessie 8.9
Noyau : Linux 3.16.0-4-amd64
(G)UI : Gnome 3.14
Inscription : 29-04-2015

Re : Liste Paquets supprimés lors de la migration jessie vers strech

Vu la longueur j'ai juste mis la première page de réponse pour le premier.

En quoi cela peut-il bien me renseigner ?

apt-cache unmet


Le paquet cairo-dock-alsamixer-plug-in de version 3.4.0-1+b1 contient une dépendance absente :
 Remplace: cairo-dock-alsamixer-plugin (< 2.4.0~2-1)
 Remplace: cairo-dock-alsamixer-plugin:i386 (< 2.4.0~2-1)
Le paquet cairo-dock-alsamixer-plug-in:i386 de version 3.4.0-1+b1 contient une dépendance absente :
 Dépend: cairo-dock-plug-in-data:i386 (= 3.4.0-1)
 Remplace: cairo-dock-alsamixer-plugin (< 2.4.0~2-1)
 Remplace: cairo-dock-alsamixer-plugin:i386 (< 2.4.0~2-1)
Le paquet gnome-commander-data de version 1.4.7-1~bpo8+1 contient une dépendance absente :
 Remplace: gnome-commander (<= 1.2.8.10-1)
 Remplace: gnome-commander:i386 (<= 1.2.8.10-1)
Le paquet gnome-commander-data de version 1.4.3-1 contient une dépendance absente :
 Remplace: gnome-commander (<= 1.2.8.10-1)
 Remplace: gnome-commander:i386 (<= 1.2.8.10-1)
Le paquet libboost-timer-dev de version 1.55.0.2 contient une dépendance absente :
 Remplace: libboost-timer-dev:i386 (< 1.55.0.2)
Le paquet libboost-timer-dev:i386 de version 1.55.0.2 contient une dépendance absente :
 Remplace: libboost-timer-dev (< 1.55.0.2)
Le paquet libghc-configfile-dev:i386 de version 1.1.2-1 contient une dépendance absente :
 Suggère: libghc-configfile-doc:i386
Le paquet bind9-host de version 1:9.9.5.dfsg-9+deb8u12 contient une dépendance absente :
 Remplace: dnsutils (< 1:9.0.0)
 Remplace: dnsutils:i386 (< 1:9.0.0)
 Remplace: host (< 1:9.7.0)
 Remplace: host:i386 (< 1:9.7.0)
Le paquet bind9-host de version 1:9.9.5.dfsg-9+deb8u10 contient une dépendance absente :
 Remplace: dnsutils (< 1:9.0.0)
 Remplace: dnsutils:i386 (< 1:9.0.0)
 Remplace: host (< 1:9.7.0)
 Remplace: host:i386 (< 1:9.7.0)
Le paquet bind9-host:i386 de version 1:9.9.5.dfsg-9+deb8u12 contient une dépendance absente :
 Remplace: dnsutils (< 1:9.0.0)
 Remplace: dnsutils:i386 (< 1:9.0.0)
 Remplace: host (< 1:9.7.0)
 Remplace: host:i386 (< 1:9.7.0)
Le paquet bind9-host:i386 de version 1:9.9.5.dfsg-9+deb8u10 contient une dépendance absente :
 Remplace: dnsutils (< 1:9.0.0)
 Remplace: dnsutils:i386 (< 1:9.0.0)
 Remplace: host (< 1:9.7.0)
 Remplace: host:i386 (< 1:9.7.0)
Le paquet grilo-plugins-0.2 de version 0.2.13-3 contient une dépendance absente :
 




apt-cache stats


Nombre total de paquets : 60411 (1 208 k)
Nombre total de structures de paquets : 100237 (5 613 k)
  Paquets ordinaires : 68933
  Paquets entièrement virtuels : 1693
  Paquets virtuels simples : 9065
  Paquets virtuels mixtes : 2171
  Manquants : 18375
Nombre de versions distinctes : 77474 (5 578 k)
Nombre de descriptions distinctes : 100132 (2 403 k)
Nombre de dépendances : 631048 (17,7 M)
Nombre de relations version/fichier : 82447 (1 979 k)
Nombre de relations description/fichier : 100132 (2 403 k)
Nombre de relations « Provides » : 18239 (365 k)
Nombre de motifs rationnels : 151 (1 690 )
Espace occupé par les versions des dépendances : 2 865 k
Espace disque gaspillé : 38,3 k
Total de l'espace attribué : 31,2 M
 

Hors ligne

#6 11-07-2017 22:52:04

lagrenouille
Adhérent(e)
Lieu : dans mes rêves
Distrib. : jessie/stretch/buster
Noyau : linux-4.9.0-2-amd64
(G)UI : env- i3-weechat-w3m-clavier bépo
Inscription : 28-03-2012
Site Web

Re : Liste Paquets supprimés lors de la migration jessie vers strech

En quoi cela peut-il bien me renseigner ?[



je pensais que ça fournirait plus de détails sur les manques à la migration, apparemment c'est pas le cas


L'opinion que l'on suppose d'un être n'est souvent que le miroir de notre propre ignorance à la limiter

Hors ligne

#7 11-07-2017 23:11:40

Philou92
Adhérent(e)
Lieu : Hauts de Seine
Distrib. : Debian Jessie 8.9
Noyau : Linux 3.16.0-4-amd64
(G)UI : Gnome 3.14
Inscription : 29-04-2015

Re : Liste Paquets supprimés lors de la migration jessie vers strech

Merci lagrenouille

J'ai peut être omis de préciser que je n'ai toujours pas migré vers strech, et que j'attends cette info pour faire le ménage avant migration vers debian stress. tongue

Hors ligne

#8 12-07-2017 00:32:00

robert2a
Membre
Lieu : France
Distrib. : Stretch 9
Noyau : Linux 4.9.0-3 4.9.30-2
(G)UI : Mate
Inscription : 15-11-2014

Re : Liste Paquets supprimés lors de la migration jessie vers strech

Bonjour
normalement la migration ne supprime rien ,
tu a des programmes exotiques installés ?   roll
je connais pas une commande qui permette de savoir cela .
un exemple ifconfig (du paquet net-tools ) n'existe plus sur stretch , mais il est toujours installé sur mes busters . ( depuis jessie ) avec iproute2  qui le remplace
idem pour mysql , je pense pas qu il soit supprimé (n'existe plus sur stretch ). il a un remplaçant .
lors de la migration tu sera averti des éventuels problèmes (et il y a un journal )
a part faire une sauvegarde et refaire une installation neuve de stretch , sinon c'est upgrade et dist-upgrade  de jessie hmm

En ligne

#9 12-07-2017 19:44:18

Philou92
Adhérent(e)
Lieu : Hauts de Seine
Distrib. : Debian Jessie 8.9
Noyau : Linux 3.16.0-4-amd64
(G)UI : Gnome 3.14
Inscription : 29-04-2015

Re : Liste Paquets supprimés lors de la migration jessie vers strech

OK, du coup cela veut dire que la migration abouti à un mélange de paquets stretch avec des vieux paquets jessie plus maintenus ni mis à jour.

Cela ne va pas tellement dans le sens de la stabilité et de la sécurité.

Donc je vais attendre la prochaine release 9.1 avant de migrer et je ferais un comparatif à la main s'il le faut.

Je tiens à faire le ménage avant, je suis un poil maniaque. tongue

Sinon je n'ai que du stable sur ma jessie. Aucun paquet exotique.

Hors ligne

Pied de page des forums